/*
Skeleton file used for the actual exam.
*/
"use strict";

(function() {

  /* Add any module-global variables you need here. */





  window.addEventListener("load", init);

  /**
   * Init sets up event listeners and buttons.
   */
  function init() {
    /*
     * Problem 5, Part A)  Write the code that will cause plantPumpkins() to be called
     * whenever the user clicks on the #plant button.
     */




    // initTimerButtons is a given function that sets up listeners for
    // other timer-related features.
    initTimerButtons();
  }


  /**
   * Problem 5, Part A) Implement the function that gets the number of pumpkins from the
   * input field and the calls loadPumpkins. Shows an error message if the quantity is
   * invalid.
   */
  function plantPumpkins() {









  }

  /**
   * Problem 5, Part B) Write the function that adds the pumpkins into the DOM.
   * See spec details above.
   * @param {number} number The quantity of pumpkins to add.
   */
  function loadPumpkins(number) {
    const pumpkinTypes = ["happy", "sad", "goofy"];

























  }

  /**
   * Problem 5, Part C) Write the function to remove an element from the DOM.
   * See the spec for all details.
   * @param {object} event Object containing information about the triggering event.
   */
  function removePumpkin(event) {





  }


  /**
   * Problem 6, Part A) Shows a given message for a certain amount of time
   * and then hides it.
   * @param {string} message The message to show.
   * @param {number} time The duration (ms) the message appears for.
   */
  function showMessage(message, time) {






  }

  /**
   * Problem 6, Part B) Write the function that calls rotPumpkins every 2 seconds.
   */
  function startRotting() {




  }

  /**
   * Problem 6, Part C) Write the function that stops the "rotting" process.
   */
  function stopRotting() {




  }

  /**
   * Problem 6, Part D) Write the function that calls rotAPumpkin, giving it a specific
   * pumpkin DOM element to "rot". You can assume rotAPumpkin exists and works as
   * expected (the method header for it is given below).
   */
  function rotPumpkins() {





  }

  /***
   * Below this line are the interfaces and documentation for functions provided to you.
   ***/

  /**
   * newPumpkinLocation (given) calculates a random location to place a pumpkin based on
   * the distance from the top-left of the container.
   * @returns {object} JSON object with two fields: top and left.
   */
  function newPumpkinLocation() {
    // ...
  }

  /**
   * initTimerButtons (given) adds event listeners to the start and stop buttons for
   * startRotting and stopRotting respectively.
   */
  function initTimerButtons() {
    // ...
  }

  /**
   * rotAPumpkin (given) applies styles to an element that make it appear as if it's
   * disappearing.
   * @param {DOMElement} el the element to style as if a pumpkin is "rotting away."
   */
  function rotAPumpkin(el) {
    // ...
  }

})(); // end module
